#ifndef DISKDUMP_FORMAT_H
#define DISKDUMP_FORMAT_H

/* $Id: diskdump_format.h,v 1.8 2004/10/13 18:50:40 tachino Exp $ */

typedef struct dump_device {
	int	 fd;
	int	 page_size;
	off_t	 block_size;
	int	 disp;
	int	 do_progress;
	void	*scratch;
} dump_device_t;

dump_device_t	*open_device(const char *);
void		 delete_device(dump_device_t *);
int		 get_page_size(dump_device_t *);
off_t		 get_block_size(dump_device_t *);
void		 set_progress(dump_device_t *, int do_progress);
int		 check_diskdump_signature(dump_device_t *, int page_no);
int		 write_diskdump_signature(dump_device_t *);

#endif

